Subject: Postponed embarrassment

From: [email-masked] (Steve Balogh)
Date: 28 Jun 89 23:30:03 GMT

(Source: Melbourne Herald, In Black & White 14/6/89)

A mother due for an appointment with her gynaecologist was running too far
behind schedule to fit in a shower, so she opted for a quick cleanse with a
face washer. 

While being examined by the gynaecologist, she was taken aback by his
cryptic remark:

	"You shouldn't have gone to so much trouble!"

Well, she never...

But all became clear that night, when the woman's teenage daughter arrived
home and apologised for the spilt bottle of glitter on the bathroom floor. 

The sweet thing had mopped up the mess using the mother's face washer!
--
Edited by Brad Templeton.  MAIL, yes MAIL your jokes to [email-masked]
Attribute the joke's source if at all possible.  I will reply, mailers willing.

I reply to all submissions, but about 20% of the replies bounce.